﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using Microsoft.Phone.Controls;

namespace DataPointTemplateSelector
{
    public partial class MainPage : PhoneApplicationPage
    {
        private ObservableCollection<Data> _routeBySegments;

        // Constructor
        public MainPage()
        {
            this.InitializeComponent();
            this.chart.Series[0].ItemsSource = this.CreateDataPoints();
        }

        private ObservableCollection<Data> CreateDataPoints()
        {
            var rand = new Random();
            var data = new ObservableCollection<Data>();
            for (var i = 0; i < 20; i++)
            {
                data.Add(new Data { XValue = i, YValue = 10 * rand.NextDouble() + 20 });
            }

            return data;
        }
    }
}